<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$indirecttieupcmpmid=$_POST['indirecttieupcmpmid'];
	$indirecttieupcmpname=checkvalidstring($_POST['indirecttieupcmpname']);
	
	$indirecttieupcmpcode=checkvalidstring($_POST['indirecttieupcmpcode']);
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	 $eve = "select * from res_indirecttieupcmp_master where indirecttieupcmpcode='$indirecttieupcmpcode' and indirecttieupcmpmid != $indirecttieupcmpmid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = " Code Already Inserted.";
		header('Location: indirecttieupcmp.php');
	}
	else
	{	

	$eve1 = "update res_indirecttieupcmp_master set indirecttieupcmpname='$indirecttieupcmpname',indirecttieupcmpcode='$indirecttieupcmpcode' $tt where indirecttieupcmpmid='$indirecttieupcmpmid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "indirecttieupcmp Record Updated succesfully";

		header('Location: indirecttieupcmp.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: indirecttieupcmp.php');

	}
	}

?>